{
  lib,
  config,
  ...
}:
let
  cfg = config.pvi;
  username = "pvi";
in
{
  options = {
    ${username} = {
      enable = lib.mkEnableOption "Enable porn account in NixOS & home-manager";
    };
  };
  config = lib.mkIf cfg.enable {
    users.users = {
    ${username} = {
      initialPassword = "'";
      isNormalUser = true;
    };
        };
    home-manager.users.${username} =
      { pkgs, ... }:
      {
         home.stateVersion = "23.11";
      };
  };
}